Skip to main content

Get Total Transaction Count By Account

POST

This API returns the total count of transactions in which a specific account address is included as the sender or recipient.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
accountAddressstringrequired
Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.
Responses
transactionCountinteger
Indicates the total count of transactions in which the account participated as sender or recipient. For XRPL and Aptos, it indicates the total count of transactions created by the specific account.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "MISSING_REQUIRED_PARAMETER",
"message": "Missing required parameter: { PARAMETER_NAME }"
}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/blockchain/getTotalTransactionCountByAccount' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"accountAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
}'